Debian Bug report logs - #685572
ITA: xxdiff -- graphical file/directory comparison and merge tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Anton Mitterer <calestyo@scientia.net>

Date: Wed, 22 Aug 2012 02:03:01 UTC

Owned by: Florian Schlichting <fsfs@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#685572; Package wnpp. (Wed, 22 Aug 2012 02:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 22 Aug 2012 02:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: xxdiff -- graphical file/directory comparison and merge tool
Date: Wed, 22 Aug 2012 03:58:46 +0200
Package: wnpp
Severity: wishlist

* Package name    : xxdiff
  Version         : 4.0b1
  Upstream Author : Martin Blais <blais@furius.ca>
* URL             : http://furius.ca/xxdiff/
* License         : GPL2
  Programming Lang: C++
  Description     : graphical file/directory comparison and merge tool

>From the old package:
 xxdiff is a powerful tool for viewing the differences between two or three
 files, or two directories, and can be used to produce a merged version.  The
 texts of the two or three files are presented side by side with their
 differences highlighted with colors for easy identification.  Among its
 features are:
 
  * Compares two or three files, or two directories (shallow and recursive)
  * Horizontal highlighting of diffs
  * Interactive merges, previewing and saving of the resulting output
  * Unmerges CVS conflicts and displays two files, to help resolve conflicts
  * Fully customizable with a resource file
  * Features and output that ease integration with scripts
 
 The scripts that accompany xxdiff can be found in the xxdiff-scripts package.


xxdiff (and xxdiff-scripts) was already part of Debian, till it was dropped,
because the Qt4 port didn't make it in time for wheezy and Qt3 was dropped
from wheezy.

A working Qt4 port is now apparently available.


IMHO, xxdiff is quite usefuly in several situations, where e.g. meld or others
perform bad.

So I'd like to see it packaged again.


Cheers,
Chris.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#685572; Package wnpp. (Mon, 02 Sep 2013 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Hieber <rohieb@rohieb.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Sep 2013 17:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 685572@bugs.debian.org (full text, mbox):

From: Roland Hieber <rohieb@rohieb.name>
To: Christoph Anton Mitterer <calestyo@scientia.net>
Cc: 685572@bugs.debian.org
Subject: Re: RFP: xxdiff -- graphical file/directory comparison and merge tool
Date: Mon, 02 Sep 2013 19:29:33 +0200
On 22.08.2012 03:58, Christoph Anton Mitterer wrote:
> IMHO, xxdiff is quite usefuly in several situations, where e.g. meld or others
> perform bad.
> 
> So I'd like to see it packaged again.

Yes, I would also like to see it again in Debian. Are there any news on
this?

 - Roland



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#685572; Package wnpp. (Tue, 07 Jan 2014 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil <debian@dist.ro>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Jan 2014 21:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 685572@bugs.debian.org (full text, mbox):

From: Neil <debian@dist.ro>
To: 685572@bugs.debian.org
Subject: Re: RFP: xxdiff -- graphical file/directory comparison and merge tool
Date: Wed, 8 Jan 2014 10:24:36 +1300
> IMHO, xxdiff is quite usefuly in several situations, where e.g. meld
> or others
> perform bad.
> 
> So I'd like to see it packaged again.

Me too.  xxdiff feels snappier than meld even on a state-of-the-art
system and uses the "n" and "p" keys for next and previous
differences, which feels much more natural when using with vim and
less.

- neil




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#685572; Package wnpp. (Tue, 07 Jan 2014 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil <debian@dist.ro>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Jan 2014 21:57:04 GMT) Full text and rfc822 format available.

Message #20 received at 685572@bugs.debian.org (full text, mbox):

From: Neil <debian@dist.ro>
To: 685572@bugs.debian.org
Subject: Re: RFP: xxdiff -- graphical file/directory comparison and merge tool
Date: Wed, 8 Jan 2014 10:54:42 +1300
As a work-around for wheezy, the xxdiff package from squeeze seems to
work OK so far.

- neil




Changed Bug title to 'ITA: xxdiff -- graphical file/directory comparison and merge tool' from 'RFP: xxdiff -- graphical file/directory comparison and merge tool' Request was from Florian Schlichting <fsfs@debian.org> to control@bugs.debian.org. (Thu, 10 Apr 2014 21:57:09 GMT) Full text and rfc822 format available.

Owner recorded as Florian Schlichting <fsfs@debian.org>. Request was from Florian Schlichting <fsfs@debian.org> to control@bugs.debian.org. (Thu, 10 Apr 2014 21:57:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:00:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.